Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 130895 - Stabilize dev-lang/swi-prolog-5.6.8
Summary: Stabilize dev-lang/swi-prolog-5.6.8
Status: VERIFIED LATER
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: prolog herd
URL:
Whiteboard:
Keywords:
Depends on: 135584
Blocks:
  Show dependency tree
 
Reported: 2006-04-22 15:08 UTC by Keri Harris
Modified: 2006-10-22 14:12 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
swi-prolog-packages-test.patch.diff (patch,1.59 KB, patch)
2006-04-22 17:03 UTC, Keri Harris
Details | Diff
log of src_install (typescript,11.21 KB, text/plain)
2006-06-02 10:01 UTC, Simon Stelling (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Keri Harris gentoo-dev 2006-04-22 15:08:40 UTC
Please stabilize swi-prolog-5.6.8. swi-prolog will deprecate swi-prolog-lite and fixes a significant number of bugs.

Those unfamiliar with prolog are recommended to set FEATURES="test". swi-prolog comes with a reasonably comprehensive test-suite that will check all standard predicates.
Comment 1 Krzysztof Pawlik (RETIRED) gentoo-dev 2006-04-22 16:04:07 UTC
x86 here and:

[ebuild   R   ] dev-lang/swi-prolog-5.6.8  +X +berkdb -doc -gmp -java -minimal -odbc +readline +ssl -static -tetex -threads 0 kB

gmake[1]: Entering directory `/tmp/portage/swi-prolog-5.6.8/work/pl-5.6.8/packages/sgml/RDF'
../../pl.sh -f rdf_test.pl -g test,halt -t 'halt(1)'
%  library(sgml) compiled into sgml 0.02 sec, 86,860 bytes
%    library(quintus) compiled into quintus 0.01 sec, 23,164 bytes
%   rewrite compiled into rewrite 0.02 sec, 28,684 bytes
%   library(url) compiled into url 0.02 sec, 42,392 bytes
%  rdf_parser compiled into rdf_parser 0.06 sec, 109,752 bytes
%   library(gensym) compiled into gensym 0.00 sec, 2,604 bytes
%  rdf_triple compiled into rdf_triple 0.01 sec, 22,552 bytes
%   library(option) compiled into swi_option 0.00 sec, 1,232 bytes
%  rdf compiled into rdf 0.01 sec, 19,172 bytes
%  pretty_print compiled into dia_pretty_print 0.01 sec, 7,848 bytes
% /var/tmp/portage/swi-prolog-5.6.8/work/pl-5.6.8/packages/sgml/RDF/rdf_test.pl compiled into rdf_test 0.11 sec, 264,100 bytes
Tests from "suite" [load_rdf]: .............................................. done
Tests from "suite" [process_rdf]: .............................................. done
gmake[1]: Leaving directory `/tmp/portage/swi-prolog-5.6.8/work/pl-5.6.8/packages/sgml/RDF'
gmake[1]: Entering directory `/tmp/portage/swi-prolog-5.6.8/work/pl-5.6.8/packages/ssl'
../pl.sh -q -f ssl_test.pl -F none -g test,halt -t 'halt(1)'
ERROR: Prolog initialisation failed:
ERROR: test/0: Undefined procedure: thread_create/3
gmake[1]: *** [check] Error 1
gmake[1]: Leaving directory `/tmp/portage/swi-prolog-5.6.8/work/pl-5.6.8/packages/ssl'
make: *** [check] Error 1

!!! ERROR: dev-lang/swi-prolog-5.6.8 failed.
!!! Function src_test, Line 127, Exitcode 2
!!! make check failed. See above for details.
!!! If you need support, post the topmost build error, NOT this status message.

emerge --info
Portage 2.0.54 (default-linux/x86/2005.1, gcc-3.4.5, glibc-2.3.5-r3, 2.6.16-ck7 i686)
=================================================================
System uname: 2.6.16-ck7 i686 Intel(R) Pentium(R) M processor 1.73GHz
Gentoo Base System version 1.6.14
ccache version 2.3 [enabled]
dev-lang/python:     2.4.2
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium3 -O2 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/eselect/compiler /etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=pentium3 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks sandbox sfperms strict test"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://www.ibiblio.org/pub/Linux/distributions/gentoo"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 X alsa apm avi bash-completion berkdb bitmap-fonts bzip2 cli crypt cups dri dvd dvdr eds emboss expat foomaticdb fortran gdbm gstreamer gtk gtk2 imlib isdnlog jpeg kdeenablefinal libg++ libwww mad mikmod mmx mmxext mp3 mpeg ncurses nls nptl offensive ogg oggvorbis opengl pam pcre perl png pppd python quicktime readline reflection session spl sse sse2 ssl svg truetype truetype-fonts type1-fonts udev vorbis xml2 xmms xorg xv zlib userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS

After adding threads to USE:

Running test set "bom" Xlib: connection to ":0.0" refused by server
Xlib: No protocol specified

[PCE fatal: @display/display: Failed to connect to X-server at `:0.0': malformed address: :0.0
*********************************************************************
* You MUST be running the X11 Windowing environment.  If you are,   *
* check the setting of your DISPLAY environment variable as well    *
* the access rights to your X11 server.  See xauth(1) and xhost(1). *
*********************************************************************
        in:     <No exception goal>
]
Host stack:
     [12] new(_L361, view)
     [11] bom(bom-1)
     [10] catch(bom(bom-1), _L312, true)
      [9] runtest(bom)
    <Alien goal>
      [8] send(@prolog/host, runtest(bom))
/var/tmp/portage/swi-prolog-5.6.8/work/pl-5.6.8/packages/xpce/src/test.pl:405: Test bom(bom-1):
        ERROR: Execution Aborted
 done.
Running test set "plterm" . done.
Running test set "textbuffer" .... done.
Running test set "asfile" .... done.
Running test set "selection" Xlib: connection to ":0.0" refused by server
Xlib: No protocol specified

[PCE fatal: @display/display: Failed to connect to X-server at `:0.0': malformed address: :0.0
*********************************************************************
* You MUST be running the X11 Windowing environment.  If you are,   *
* check the setting of your DISPLAY environment variable as well    *
* the access rights to your X11 server.  See xauth(1) and xhost(1). *
*********************************************************************
        in:     <No exception goal>
]
Host stack:
     [12] send(@display/display, selection(primary, string('hello world')))
     [11] selection(cutpaste-1)
     [10] catch(selection(cutpaste-1), _L312, true)
      [9] runtest(selection)
    <Alien goal>
      [8] send(@prolog/host, runtest(selection))
/var/tmp/portage/swi-prolog-5.6.8/work/pl-5.6.8/packages/xpce/src/test.pl:440: Test selection(cutpaste-1):
        ERROR: Execution Aborted
Xlib: connection to ":0.0" refused by server
Xlib: No protocol specified

[PCE fatal: @display/display: Failed to connect to X-server at `:0.0': malformed address: :0.0
*********************************************************************
* You MUST be running the X11 Windowing environment.  If you are,   *
* check the setting of your DISPLAY environment variable as well    *
* the access rights to your X11 server.  See xauth(1) and xhost(1). *
*********************************************************************

and it enters interactive mode. I'm testing it in stable chroot. After using 'xhost +' it compiled, tested and installed fine.

Maybe the src_test should skip if not built with USE="+threads" ? The going interactive when could not connect to X server is another issue (related to USE="+X").
Comment 2 Keri Harris gentoo-dev 2006-04-22 17:03:46 UTC
Created attachment 85230 [details, diff]
swi-prolog-packages-test.patch.diff

Thanks for catching that. We need to only disable testing the ssl package if threading is disabled (just as we currently do for the clib and semweb packages which would likewise complain horribly when threading is disabled).

I've committed the attached diff to cvs.
Comment 3 Krzysztof Pawlik (RETIRED) gentoo-dev 2006-04-23 00:58:56 UTC
Now works ok, stable on x86.
Comment 4 nixnut (RETIRED) gentoo-dev 2006-04-29 09:50:05 UTC
Stable on ppc
Comment 5 Simon Stelling (RETIRED) gentoo-dev 2006-05-29 10:42:57 UTC
ohoh, doesn't work on amd64:

gmake[1]: Leaving directory `/var/tmp/portage/swi-prolog-5.6.8/work/pl-5.6.8/packages/cpp'
gmake[1]: Entering directory `/var/tmp/portage/swi-prolog-5.6.8/work/pl-5.6.8/packages/cppproxy'
mkdir -p /var/tmp/portage/swi-prolog-5.6.8/image//usr/lib/pl-5.6.8/lib/x86_64-linux-gnu
for f in serialize.so; do \
          /bin/install -c -m 755 $f /var/tmp/portage/swi-prolog-5.6.8/image//usr/lib/pl-5.6.8/lib/x86_64-linux-gnu; \
        done
mkdir -p /var/tmp/portage/swi-prolog-5.6.8/image//usr/lib/pl-5.6.8/library
for f in cpp_codegen.pl cpp_interface.pl cpp_server.pl typedef.pl; do \
          /bin/install -c -m 644 $f /var/tmp/portage/swi-prolog-5.6.8/image//usr/lib/pl-5.6.8/library; \
        done
mkdir -p /var/tmp/portage/swi-prolog-5.6.8/image//usr/lib/pl-5.6.8/include
mkdir: `/var/tmp/portage/swi-prolog-5.6.8/image//usr/lib/pl-5.6.8/include' exists but is not a directory
gmake[1]: *** [install] Error 1
gmake[1]: Leaving directory `/var/tmp/portage/swi-prolog-5.6.8/work/pl-5.6.8/packages/cppproxy'
make: *** [install] Error 1
make: Leaving directory `/var/tmp/portage/swi-prolog-5.6.8/work/pl-5.6.8/packages'

!!! ERROR: dev-lang/swi-prolog-5.6.8 failed.
Call stack:
  ebuild.sh, line 1527:   Called dyn_install
  ebuild.sh, line 1004:   Called src_install
  swi-prolog-5.6.8.ebuild, line 125:   Called die

!!! install packages failed

[ebuild  N    ] dev-lang/swi-prolog-5.6.8  USE="X berkdb readline ssl -doc -gmp -java -minimal -odbc -static -tetex -threads" 0 kB

aqua ~ # emerge --info
--- Invalid atom in /usr/portage/profiles/package.mask: net-www/awstats-6.6
Portage 2.1_pre10-r5 (default-linux/amd64/2006.0, gcc-3.4.5, glibc-2.3.5-r2, 2.6.15-gentoo-r5 x86_64)
=================================================================
System uname: 2.6.15-gentoo-r5 x86_64 AMD Opteron(tm) Processor 242
Gentoo Base System version 1.6.14
dev-lang/python:     2.4.2
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="   -march=opteron  -ggdb -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/lib/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="   -march=opteron   -ggdb -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig cvs distlocks keeptemp keepwork metadata-transfer multilib-strict nostrip sandbox sfperms test"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LC_ALL="en_GB.UTF-8"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org"
USE="amd64 X acpi alsa avi berkdb bitmap-fonts cli crypt cups curl debug dri dvd eds emboss encode fam flac font-server foomaticdb fortran gif gnome gpm gstreamer gtk gtk2 imagemagick imlib ipv6 isdnlog jp2 jpeg kde lzw lzw-tiff motif mozilla mp3 mpeg ncurses network nls nptl ogg oggvorbis opengl pam pcre pdflib perl png pppd python qt quicktime readline reflection sdl session spell spl ssl svg tcltk tcpd tiff truetype truetype-fonts type1-fonts usb userlocales utf8 vorbis xml xml2 xorg xpm xrandr xv zlib elibc_glibc kernel_linux userland_GNU"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LDFLAGS, LINGUAS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 6 Simon Stelling (RETIRED) gentoo-dev 2006-06-02 10:01:45 UTC
Created attachment 88193 [details]
log of src_install

as requested by someone (sorry, i'm bad at names), here is a log of the full src_install
Comment 7 Keri Harris gentoo-dev 2006-06-04 18:52:51 UTC
Thanks for the install log. The log raises two issues that will need to be resolved before we can consider marking swi-prolog stable on amd64. Consequently I'm closing this bug as LATER.
Comment 8 Keri Harris gentoo-dev 2006-10-22 14:12:26 UTC
Closing. dev-lang/swi-prolog-5.6.17-r1 was recently keyworded amd64.